@import url('https://fonts.googleapis.com/css2?family=WDXL+Lubrifont+JP+N&display=swap');
:root {
	--max-width: 980px;
	--main-text-color: #303030;
	--dark-text-color: #333;
	--main-bg-color: #539eaf;
	--dark-bg-color: #294d55;
	--main-font: "Noto Sans JP", sans-serif;
	--midashi-font: "WDXL Lubrifont JP N", sans-serif;
}
body {
}
h1 {
	margin: .5em auto;
	height: 45px;
	position: relative;
	display: inline-block;
	left: 50%;
	transform: translateX(-50%);
	font-family: "WDXL Lubrifont JP N", sans-serif;
	font-weight: 400;
	font-style: normal;
	text-align:center;
	letter-spacing: 1em;
}
h1:before {/*左側のリボン端*/
  content: '';
  position: absolute;
  width: 10px;
  bottom: -10px;
  left: -26px;
  z-index: -2;
  border: 20px solid #f35656;
  border-left-color: transparent;/*山形に切り抜き*/
}

h1:after {/*右側のリボン端*/
  content: '';
  position: absolute;
  width: 10px;
  bottom: -10px;
  right: -26px;
  z-index: -2;
  border: 20px solid #f35656;
  border-right-color: transparent;/*山形に切り抜き*/
}

h1 a {
  display: inline-block;
  position: relative;
  margin: 0;
  padding: 0 20px;
  line-height: 45px;
  color: #FFF;
  background: #F32121;/*真ん中の背景色*/
}
h1 a:before {
  position: absolute;
  content: '';
  top: 100%;
  left: 0;
  border: none;
  border-bottom: solid 10px transparent;
  border-right: solid 15px #b53939;/*左の折り返し部分*/
}
h1 a:after {
  position: absolute;
  content: '';
  top: 100%;
  right: 0;
  border: none;
  border-bottom: solid 10px transparent;
  border-left: solid 15px #b53939;/*右の折り返し部分*/
}
.global_nav:has(#for_global_nav:not(:checked)) {
	margin: .5em auto;
	max-width: 980px;
	>ul >li {
	height: auto;
	}
	li a {
	margin: 0 .5em;
	padding: .5em 0;
	line-height: 1.6;
	background-color: rgba(255,255,255,.6);
	backdrop-filter: blur(8px);
	border-radius: .5em;
	}
}
.post_header {
position: relative;
}
.post_header::after {
content: '';
display: block;
width: 100%;
height: 60px;
position: absolute;
bottom: 0;
z-index: -1;
background-image: url(img/zt_hb.png);
background-size: contain;
background-repeat: no-repeat;
background-position: left;
}
.post_title {
	padding-top: 1.2em;
	padding-left: .8em;
	font-family: "WDXL Lubrifont JP N", sans-serif;
	font-weight: 400;
	font-style: normal;
}
.post_footer {
	text-align: right;
}
main {
	max-width: 980px;
	margin: auto;
}
.onelogbox:not(:has(.block, .cards)) {
	padding: 1em;
	background-color: rgba(255,255,255,.6);
	backdrop-filter: blur(8px);
	border-radius: 1em;
}
.post_content {
	.block, > ul.gallery > li {
		margin: 0 -1em 2em;
		padding: 1em;
		color: #303030;
		background-color: rgba(255,255,255,.6);
		backdrop-filter: blur(8px);
		border-radius: 1em;
		h3 {
			margin-top: 0;
		}
	}
}
:where(.zenitan, .ZJ) {
	& div.zenitan {
	padding: 1em;
	width: fit-content;
	line-height: 1.4;
	position: absolute;
	top: -2em;
	left: 50%;
	transform: translateX(-50%);
	color: var(--main-text-color);
	background-color: #fff;
	font-size: .9em;
	text-align: center;
	border-radius: 1em;
		& p {
			margin: 0;
		}
	}
	& .breadcrumb li:first-child {
		display: none;
	}
	.add_file, .addFile {
		text-align:center;
	}
	& .add_file a:has(img) {
		height: 100%;
		background-color:transparent;
		box-shadow: revert;
		& img {
		border: .5vw solid #fff;
		width: auto;
		max-width: 100%;
		height: auto;
		max-height: 500px;
		}
	}
	.zc {
		margin-bottom: 1em;
		line-height: 1;
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
		gap: .5em;
		grid-template-rows: auto;
	}
	& .cards, .zc {
		& li {
		}
		& a {
			height: 100%;
			display: block;
			text-decoration: none;
		}
		& img {
			display: block;
			width: 100%;
			height: 100%;
			max-height: 160px;
			object-fit: cover;
		}
		& b {
			display:block;
		}
		& li:has(img) b {
			display: none;
		}
		& .honbun {
			margin: .5em 0;
			padding: .5em;
			display: block;
			line-height: 1.2;
			background-color: #efefef;
		}
		& .option {
			display: block;
		}
	}
	& .global_footer {
		font-size: small;
	}
	.fixed_btn {
	position: fixed;
	top: revert;
	bottom: 0;
	right: 0;
	background-color: #fff;
		#nav_toggle {
		width: 60px;
		height: calc(35px + 1.2em);
		}
	}
}
/* アドベントカレンダー */
table.zac {
	table-layout: fixed;
	width: 100%;
	thead{font-weight: bold;font-family:Arial;text-align: center;}
	.sat{background:rgba(135,163,208,.2)}
	.sun{background:rgba(231,153,142,.2)}
	a{display:block;text-align: center;}
	img {border-radius: 100vmax;}
}
#myCanvas {
	position: fixed;
	inset: 0;
	pointer-events: none;
	z-index: -1;
}
